<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Laravel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  
  </head>
  <body>
  <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    SGDV
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        @guest
                            @if (Route::has('login'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                                </li>
                            @endif

                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }}
                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>
  <!-- Page Content -->
<div class="container">

<!-- Portfolio Item Heading -->
<h1 class="my-4">Pagina de la publicacion
  <small>Informacion Secundaria</small>
</h1>
@foreach($posts as $post)
<!-- Portfolio Item Row -->
<div class="row">

  <div class="col-md-8">
    <img class="img-fluid" src="{{$post -> imgs}}" alt="">
  </div>

  <div class="col-md-4">
    <h3 class="my-3"> Descripcion</h3>
    <p>{{$post -> description}}</p>
    <h3 class="my-3"> Detalles</h3>
    <ul>
      <li>{{$post -> country}}</li>
      <li>{{$post -> city}}</li>
    </ul>
    <h3 class="my-3"> Informacion de importancia</h3>
    <ul>

    </ul>
  </div>

</div>

<hr>
<!-- /.row -->
@endforeach
<!-- Related Projects Row -->

<h3 class="my-4">Otras publicaciones </h3>

<div class="row">
@foreach($secondposts as $spost)
  <div class="col-md-3 col-sm-6 mb-4">
  <form  method="POST" action="{{route('viaje_info')}}">
        @csrf
        @method('GET') 
        <input name="country"  value="{{$spost -> country}}" hidden>
        <input name="description"  value="{{$spost -> description}}" hidden>
        <button type="submit" class="btn ">
          <img class="img-fluid" src="{{$spost -> imgs}}" alt="">     
        </button>
    </form>
    
  </div>
@endforeach


</div>

<!-- /.row -->

</div>
<!-- /.container -->

<footer id="sticky-footer" class="flex-shrink-0 py-4 bg-dark text-white-50">
      <div class="container text-center">
        <small>Copyright &copy; EsBrillante</small>
      </div>
    </footer>

  </body>
</html>
