<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Laravel</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  
  </head>
  <body>
  <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                    SGDV
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        <?php if(auth()->guard()->guest()): ?>
                            <?php if(Route::has('login')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                </li>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    <?php echo e(Auth::user()->name); ?>

                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <?php echo e(__('Logout')); ?>

                                    </a>

                                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>
                                </div>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </nav>
  <!-- Page Content -->
<div class="container">

<!-- Portfolio Item Heading -->
<h1 class="my-4">Pagina de la publicacion
  <small>Informacion Secundaria</small>
</h1>
<?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<!-- Portfolio Item Row -->
<div class="row">

  <div class="col-md-8">
    <img class="img-fluid" src="<?php echo e($post -> imgs); ?>" alt="">
  </div>

  <div class="col-md-4">
    <h3 class="my-3"> Descripcion</h3>
    <p><?php echo e($post -> description); ?></p>
    <h3 class="my-3"> Detalles</h3>
    <ul>
      <li><?php echo e($post -> country); ?></li>
      <li><?php echo e($post -> city); ?></li>
    </ul>
    <h3 class="my-3"> Informacion de importancia</h3>
    <ul>

    </ul>
  </div>

</div>

<hr>
<!-- /.row -->
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<!-- Related Projects Row -->

<h3 class="my-4">Otras publicaciones </h3>

<div class="row">
<?php $__currentLoopData = $secondposts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $spost): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
  <div class="col-md-3 col-sm-6 mb-4">
  <form  method="POST" action="<?php echo e(route('viaje_info')); ?>">
        <?php echo csrf_field(); ?>
        <?php echo method_field('GET'); ?> 
        <input name="country"  value="<?php echo e($spost -> country); ?>" hidden>
        <input name="description"  value="<?php echo e($spost -> description); ?>" hidden>
        <button type="submit" class="btn ">
          <img class="img-fluid" src="<?php echo e($spost -> imgs); ?>" alt="">     
        </button>
    </form>
    
  </div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>


</div>

<!-- /.row -->

</div>
<!-- /.container -->

<footer id="sticky-footer" class="flex-shrink-0 py-4 bg-dark text-white-50">
      <div class="container text-center">
        <small>Copyright &copy; EsBrillante</small>
      </div>
    </footer>

  </body>
</html>
<?php /**PATH C:\xampp\htdocs\Sistema_Gestor_de_Viajes\resources\views/viaje_info.blade.php ENDPATH**/ ?>