<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <title>Laravel</title>  
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ" crossorigin="anonymous">
  
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/home.css')); ?>" />

        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.7/dist/umd/popper.min.js" integrity="sha384-zYPOMqeu1DAVkHiLqWBUTcbYfZ8osu1Nd6Z89ify25QV9guujx43ITvfi12/QExE" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.min.js" integrity="sha384-Y4oOpwW3duJdCWv5ly8SCFYWqFDsfob/3GkgExXKV4idmbt98QcxXYs9UoXAB7BZ" crossorigin="anonymous"></script>

    </head>
    <body class="d-flex flex-column">

        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="<?php echo e(url('/')); ?>">
                    SGDV
                </a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="<?php echo e(__('Toggle navigation')); ?>">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav me-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ms-auto">
                        <!-- Authentication Links -->
                        <?php if(auth()->guard()->guest()): ?>
                            <?php if(Route::has('login')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('login')); ?>"><?php echo e(__('Login')); ?></a>
                                </li>
                            <?php endif; ?>

                            <?php if(Route::has('register')): ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="<?php echo e(route('register')); ?>"><?php echo e(__('Register')); ?></a>
                                </li>
                            <?php endif; ?>
                        <?php else: ?>
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    <?php echo e(Auth::user()->name); ?>

                                </a>

                                <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="<?php echo e(route('logout')); ?>"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        <?php echo e(__('Logout')); ?>

                                    </a>

                                    <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                                        <?php echo csrf_field(); ?>
                                    </form>
                                </div>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </nav>
      
      <div id="page-content">

        <div class="container text-center">
          <div class="row justify-content-center">
            <div class="col-md-7">
              <h1 class="fw-light mt-4 text-white">SGDV_DEMO</h1>
              <p class="lead text-white-50">Este es un sistema demo para la gestion de viajes</p>
            </div>
          </div>

          <div class="row">
            
              <div id="card-search" class="card" style="width: 18rem;">
                <img src="https://reportelobby.info/wp-content/uploads/2022/03/OPERADORAS_DE_VIAJES_REPORTE_LOBBY_03.jpg" class="card-img-top" >
                <div class="card-body">
                  <p class="card-text">Conoce tu proximo destino.</p>
                  <form class="d-flex" role="search" method="POST" action="<?php echo e(route('viaje_info')); ?>">
        <?php echo csrf_field(); ?>
        <?php echo method_field('GET'); ?> 
        
        <input class="form-control me-2 <?php $__errorArgs = ['search'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" type="search" name="search" placeholder="Search">
        <?php $__errorArgs = ['search'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
            <span class="invalid-feedback" role="alert">
                 <strong><?php echo e($message); ?></strong>
            </span>
        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
        
        <button class="btn btn-outline-success" type="submit">Buscar</button>
        </form>
                </div>
              </div>
            
          </div>

          <div class="row">
          <div class="container">

<!-- Page Heading -->
<h1 class="my-4">Ofertas de viaje y Nuevos destinos
  <small></small>
</h1>

<?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<!-- Project One -->
<div class="row">
  <div class="col-md-7">
    <a href="#">
      <img class="img-fluid rounded mb-3 mb-md-0" src="<?php echo e($post -> imgs); ?>" alt="">
    </a>
  </div>
  <div class="col-md-5">
    <h3>Anuncio <?php echo e($post -> id); ?></h3>
    <p><?php echo e($post -> description); ?></p>
    <h3 class="my-3"> Detalles</h3>
    <ul>
      <li><?php echo e($post -> country); ?></li>
      <li><?php echo e($post -> city); ?></li>

    </ul>
    <form  method="POST" action="<?php echo e(route('viaje_info')); ?>">
        <?php echo csrf_field(); ?>
        <?php echo method_field('GET'); ?> 
        <input name="country"  value="<?php echo e($post -> country); ?>" hidden>
        <input name="description"  value="<?php echo e($post -> description); ?>" hidden>
        <button type="submit" class="btn btn-primary" >Ver mas</button>
    </form>
  </div>
</div>
<!-- /.row -->

<hr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<!-- Pagination -->
<ul class="pagination justify-content-center">
 <?php echo e($posts->links('pagination::bootstrap-4')); ?>

</ul>

</div>
          </div>

        </div>


      </div>
      

    <footer id="sticky-footer" class="flex-shrink-0 py-4 bg-dark text-white-50">
      <div class="container text-center">
        <small>Copyright &copy; EsBrillante</small>
      </div>
    </footer>
    </body>
</html><?php /**PATH C:\xampp\htdocs\Sistema_Gestor_de_Viajes\resources\views/welcome.blade.php ENDPATH**/ ?>